Bug 104284 - Gnome-terminal crash if rightclick menu active when window closes
Gnome-terminal crash if rightclick menu active when window closes
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-terminal (Show other bugs)
beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-09-11 20:42 EDT by Féliciano Matias
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2003-09-11 20:42:58 EDT
Description of problem:
Gnome-terminal crash.

Version-Release number of selected component (if applicable):
gnome-terminal-2.3.2-1

How reproducible:
Every time.

Steps to Reproduce:
1- launch gnome-terminal.
2- add a new tab.
3- in the first tab enter "sleep 5 ; exit<return>"
4- press the right mouse button and hold it down.
5- when "sleep5 ; exit" is finished, release the mouse button.
    
Actual results:
Crash.

Expected results:
No crash.

Additional info:
Comment 1 Féliciano Matias 2003-09-12 10:32:03 EDT
For me it's not a bug to "Make Cambridge better" #100644 .
When gnome-terminal crash, all terminals and all applications launch from
gnome-terminal are closed.
Comment 2 Havoc Pennington 2003-10-04 02:13:49 EDT
I can't reproduce this; do you have a menu up while the right mouse is down? If
not any idea why the menu didn't appear?
Comment 3 Leonard den Ottolander 2004-02-06 16:46:40 EST
Reproduced for gnome-terminal-2.4.0-1.1 on athlon:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread -1084906848 (LWP 9363)]

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x00562c32 in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
#0  0x00562c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0080eb03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0806d6a2 in terminal_screen_get_text_selected ()
#5  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#8  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0

Thread 1 (Thread -1084906848 (LWP 9363)):
#0  0x00562c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x0080eb03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0806d6a2 in terminal_screen_get_text_selected ()
No symbol table info available.
#5  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#6  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#0  0x00562c32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
Comment 4 Leonard den Ottolander 2004-02-06 16:56:03 EST
Havoc, regarding your question in comment #2, yes, the menu is
visible, and you need to select an item and "release" that, or the
crash will not appear. I can reproduce this consistently (= every time).
Comment 5 Leonard den Ottolander 2004-02-06 22:53:43 EST
After applying the following to glibc:

2004-02-07	Leonard den Ottolander <leonard * den ottolander nl>
---
glibc-2.3.2-200310271512/linuxthreads/sysdeps/unix/sysv/linux/i386/dl-sysdep.h.000
2003-09-02 21:58:48.000000000 +0200
+++
glibc-2.3.2-200310271512/linuxthreads/sysdeps/unix/sysv/linux/i386/dl-sysdep.h
2004-02-07 02:02:17.000000000 +0100
@@ -51,7 +51,7 @@
 # define DL_SYSINFO_IMPLEMENTATION \
   asm (".text\n\t"							      \
        ".type _dl_sysinfo_int80,@function\n\t"				      \
-       ".hidden _dl_sysinfo_int80\n"					      \
+       ".hidden _dl_sysinfo_int80\n\t"					      \
        CFI_STARTPROC "\n"						      \
        "_dl_sysinfo_int80:\n\t"						      \
        "int $0x80;\n\t"							      \
---
glibc-2.3.2-200310271512/nptl/sysdeps/unix/sysv/linux/i386/dl-sysdep.h.000
2003-06-16 07:28:46.000000000 +0200
+++
glibc-2.3.2-200310271512/nptl/sysdeps/unix/sysv/linux/i386/dl-sysdep.h	2004-02-07
02:02:46.000000000 +0100
@@ -58,7 +58,7 @@
        "ret;\n\t"							      \
        CFI_ENDPROC "\n"							      \
        ".size _dl_sysinfo_int80,.-_dl_sysinfo_int80\n\t"		      \
-       ".previous;");
+       ".previous");
 #endif
 
 #endif	/* dl-sysdep.h */
---
glibc-2.3.2-200310271512/nptl/sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h.000
2003-06-16 07:28:33.000000000 +0200
+++
glibc-2.3.2-200310271512/nptl/sysdeps/unix/sysv/linux/i386/i686/dl-sysdep.h
2004-02-07 02:03:09.000000000 +0100
@@ -48,7 +48,7 @@
 # define DL_SYSINFO_IMPLEMENTATION \
   asm (".text\n\t"							      \
        ".type _dl_sysinfo_int80,@function\n\t"				      \
-       ".hidden _dl_sysinfo_int80\n"					      \
+       ".hidden _dl_sysinfo_int80\n\t"					      \
        CFI_STARTPROC "\n"						      \
        "_dl_sysinfo_int80:\n\t"						      \
        "int $0x80;\n\t"							      \


Now I consistently get:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...Using host libthread_db library
"/lib/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread 16384 (LWP 2455)]

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x006cc6e8 in waitpid ()
   from /lib/libpthread.so.0
#0  0x006cc6e8 in waitpid () from /lib/libpthread.so.0
#1  0x0354fa90 in ?? () from /usr/lib/libgnomeui-2.so.0
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  0x006cb4bd in __pthread_sighandler () from /lib/libpthread.so.0
#4  <signal handler called>
#5  0x0806d613 in terminal_screen_get_text_selected ()
#6  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#7  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#9  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0

Thread 1 (Thread 16384 (LWP 2455)):
#0  0x006cc6e8 in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x0354fa90 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x006cb4bd in __pthread_sighandler () from /lib/libpthread.so.0
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0806d613 in terminal_screen_get_text_selected ()
No symbol table info available.
#6  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#0  0x006cc6e8 in waitpid () from /lib/libpthread.so.0
Comment 6 Leonard den Ottolander 2004-02-07 08:08:09 EST
As you might have guessed I accidently upgraded to the i386 version of
glibc. I'll have to build a i686 version later, and I'll report back
after that.
Comment 7 Leonard den Ottolander 2004-02-07 17:20:27 EST
Unpatched glibc-2.3.2-101.4 i386:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...Using host libthread_db library
"/lib/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread 16384 (LWP 27830)]

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x0057b6e8 in waitpid ()
   from /lib/libpthread.so.0
#0  0x0057b6e8 in waitpid () from /lib/libpthread.so.0
#1  0x0354fa90 in ?? () from /usr/lib/libgnomeui-2.so.0
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  0x0057a4bd in __pthread_sighandler () from /lib/libpthread.so.0
#4  <signal handler called>
#5  0x0806d613 in terminal_screen_get_text_selected ()
#6  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#7  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#9  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0

Thread 1 (Thread 16384 (LWP 27830)):
#0  0x0057b6e8 in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x0354fa90 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x0057a4bd in __pthread_sighandler () from /lib/libpthread.so.0
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0806d613 in terminal_screen_get_text_selected ()
No symbol table info available.
#6  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#0  0x0057b6e8 in waitpid () from /lib/libpthread.so.0
Comment 8 Leonard den Ottolander 2004-02-07 17:27:37 EST
glibc-2.3.2-101.4 + patch i686

First and only occurence after update:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x008c66e8 in __fcntl_nocancel ()
   from /lib/libpthread.so.0
#0  0x008c66e8 in __fcntl_nocancel () from /lib/libpthread.so.0
#1  0x0354fa90 in ?? () from /usr/lib/libgnomeui-2.so.0
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  0x008c54bd in pthread_rwlock_unlock () from /lib/libpthread.so.0
#4  0x0000000b in ?? ()

And reproducible:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[Thread
debugging using libthread_db enabled]
[New Thread 1073025696 (LWP 23542)]

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x009bcc32 in _dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
#0  0x009bcc32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00374b03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x0806d613 in terminal_screen_get_text_selected ()
#5  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#8  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0

Thread 1 (Thread 1073025696 (LWP 23542)):
#0  0x009bcc32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x00374b03 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x035157f4 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0806d613 in terminal_screen_get_text_selected ()
No symbol table info available.
#5  0x00c6a051 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#6  0x00c57cb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#7  0x00c69bbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#8  0x00c68c36 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#0  0x009bcc32 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
Comment 9 Ray Strode [halfline] 2005-05-12 11:51:52 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 10 Ray Strode [halfline] 2005-05-31 15:37:24 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.